//draconic-update
onEvent('recipes', event =>{
    //draconium core
    event.recipes.createSequencedAssembly([
        Item.of('draconicevolution:draconium_core').withChance(32.0),
        Item.of('kubejs:draconium_sheet').withChance(2.0),
        '5x draconicevolution:draconium_nugget'
      ], 'kubejs:draconium_sheet', [
        event.recipes.createDeploying('kubejs:incomplete_core', ['kubejs:incomplete_core', 'minecraft:diamond']),
        event.recipes.createDeploying('kubejs:incomplete_core', ['kubejs:incomplete_core', 'minecraft:gold_ingot']),
      
      ]).transitionalItem('kubejs:incomplete_core').loops(6)
    //wyvern core 
    event.recipes.createSequencedAssembly([
        Item.of('draconicevolution:wyvern_core').withChance(32.0),
        Item.of('minecraft:nether_star').withChance(2.0),
        '5x silentgear:nether_star_fragment'
      ], 'minecraft:nether_star', [
        event.recipes.createDeploying('kubejs:incomplete_wyvern_core', ['kubejs:incomplete_wyvern_core', 'draconicevolution:draconium_core']),
        event.recipes.createDeploying('kubejs:incomplete_wyvern_core', ['kubejs:incomplete_wyvern_core', 'kubejs:draconium_sheet']),
      
      ]).transitionalItem('kubejs:incomplete_wyvern_core').loops(4)

      event.recipes.createPressing(['kubejs:draconium_sheet'],
      'draconicevolution:draconium_ingot')
})